package edu.cmu.cs.l3.frame;

import edu.cmu.cs.l3.temp.Temp;

public class FrameRegister implements FrameAccess {

    public FrameRegister(Temp t, int offset) {
	m_temp = t; m_offset = offset;
    }

    public Temp getTemp() {
	return m_temp;
    }

    public int getStackOffset() {
	return m_offset;
    }

    private Temp m_temp;
    private int m_offset;
}
